View Issue Details

IDProjectCategoryView StatusLast Update
0008881ScribusStylespublic2019-08-23 13:45
Reportercezaryece Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
PlatformLinuxOSKubuntu64OS Version9.10
Product Version1.3.5svn 
Summary0008881: [OBSOLETE] Again: deleting styles not possible
DescriptionI have logged it before, but issue was closed.
I have made new compilations from empty svn update - in my case issue still appear - I am not able to delete any styles.
I attach my test file - new file with added 2 styles I cannot delete.

Please - don't close this issue before we investigate and resolve this issue!!!

Maybe there is way of building Scribus for more debug information?
Tags#please_test, styles
PatchNo

Relationships

related to 0007095 new "remove unused" styles 
related to 0008888 new closing the style manager and/or saving the changes... 

Activities

2010-02-26 13:36

 

test.sla (9,774 bytes)

ale

2010-02-26 19:44

manager   ~0023392

Last edited: 2010-02-26 19:52

i can confirm that there are some issues with styles deleting both in 1.5svn and 1.3.6svn

the file uploaded by cezaryece has been created with 1.5svn and its styles can't indeed be deleted.

ale

2010-02-26 19:57

manager   ~0023393

Last edited: 2010-02-26 19:58

basically it is impossible to delete styles in 1.5svn

in scribus ng (scribus's deb repository) i had to change my mind: it basically works, but something is strange: if i'm editing the styles and i press the <esc> key the dialog closes but the changes are not applied.

this is not what i would except.

if i reopen the style window, i get it in the state i've left before and i can click on "apply" and, then, the changes are applied.

imho, <esc> should apply (as it does in most other dialogs) or cancel (maybe with a dialog asking for confirmation if something has been changed).

cbradney

2010-02-26 20:55

administrator   ~0023394

Escape cancels.. it should never apply changes!

ale

2010-02-27 21:07

manager   ~0023398

i will open another bug for the behaviour of the escape key in the style manager... let's concentrate on the style deletion here!

ale

2010-02-27 21:14

manager   ~0023399

** open the style dialog
** chose a style (copy of) and delete it
** the "extended pane" (which may contain the details about the style) appears but is left disabled
** replace it with its original
** the (copy of) style shortly disappears and reappears
** the extened pane is still open, the name of the (copy of) style is in the name field but all the other fields are inactive
** chose the same style (copy of) and delete it
** replace it with its original
** the (copy of) style shortly disappears and reappers
** the extended pane is still open, the name of the (copy of) style is in the name field but all the other fields are inactive
** click on "done" in the extended pane
** the extended pane gets closed
** chose the same style (copy of) and delete it
** the extended pane is reopened with its fields inactive
** replace it with its original
** the style gets deleted
** chose another style (copy of) and delete it
** replace it with its original
** the style ges deleted
** don't forget to click on done to really delete the files (see separate bug for this)
** close the style dialog
** reopen the style dialog
** it's again impossible to delete styles until the "done" button is clicked once
** p.s.: scribus still creates styles by itself (probably when copy pasting or cloning an item); on a new file, i tried to copy, duplicate and multiple duplicate text frames, copy them from the scrapbook but no copy has been created; suddenly, when inserting from the scrapbook a copy of one of the two styles used in the frame has been created. no chance to reproduce again the bug, afterwards.

cezaryece

2010-03-02 09:42

developer   ~0023430

Maybe I am not understand how Scribus works, but for me it creates styles from imported text and I cant make it stop doing this. Now I cant delete these styles and working with mass number of imported text I have lot of unused styles without possibility of removing it. So I have large garbage in my Styles Manager.
I think useful should be option for removing unused styles as for unused colors...

cezaryece

2010-03-14 00:34

developer   ~0023506

Last edited: 2010-03-14 01:05

I think styles in Scribus 1.5 need more attention.
Yesterday I create new style based on Default Paragraph Style. Before some other styles was based on this one too. After creating new style Scribus made terrible thing with all my styles - mass cloning of existing style into new copies - see attached picture.

cezaryece

2010-03-14 00:36

developer  

morestyles.jpg (44,753 bytes)   
morestyles.jpg (44,753 bytes)   

ale

2019-08-20 12:07

manager   ~0046500

no comment in 9 years... i suggest to close this.

jghali

2019-08-23 13:41

administrator   ~0046529

Closing then...

Issue History

Date Modified Username Field Change
2010-02-26 13:36 cezaryece New Issue
2010-02-26 13:36 cezaryece File Added: test.sla
2010-02-26 19:44 ale Note Added: 0023392
2010-02-26 19:52 ale Note Edited: 0023392
2010-02-26 19:57 ale Note Added: 0023393
2010-02-26 19:58 ale Note Edited: 0023393
2010-02-26 20:55 cbradney Note Added: 0023394
2010-02-27 21:07 ale Note Added: 0023398
2010-02-27 21:14 ale Note Added: 0023399
2010-02-28 05:03 christoph_s Relationship added related to 0008888
2010-03-02 09:42 cezaryece Note Added: 0023430
2010-03-14 00:34 cezaryece Note Added: 0023506
2010-03-14 00:36 cezaryece File Added: morestyles.jpg
2010-03-14 00:37 cezaryece Note Edited: 0023506
2010-03-14 01:05 cezaryece Note Edited: 0023506
2015-11-25 01:50 Kunda Tag Attached: #please_test
2016-05-16 04:08 Kunda Tag Attached: styles
2016-05-16 22:06 Kunda Relationship added related to 0007095
2019-08-20 12:07 ale Summary Again: deleting styles not possible => [OBSOLETE] Again: deleting styles not possible
2019-08-20 12:07 ale Patch => No
2019-08-20 12:07 ale Note Added: 0046500
2019-08-23 13:41 jghali Assigned To => jghali
2019-08-23 13:41 jghali Status new => resolved
2019-08-23 13:41 jghali Resolution open => no change required
2019-08-23 13:41 jghali Note Added: 0046529
2019-08-23 13:45 jghali Status resolved => closed